X11.XButtonReleasedEvent (JNA API)

com.sun.jna.platform.unix

## Class X11.XButtonReleasedEvent

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XButtonEvent
    - - com.sun.jna.platform.unix.X11.XButtonReleasedEvent

- Enclosing interface:
    X11

      public static class X11.XButtonReleasedEvent
      extends X11.XButtonEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.unix.X11.XButtonEvent

      `button, display, root, same_screen, send_event, serial, state, subwindow, time, type, window, x, x_root, y, y_root`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XButtonReleasedEvent()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.unix.X11.XButtonEvent

      `getFieldOrder`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XButtonReleasedEvent

          public XButtonReleasedEvent()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.